API referenceHolds
Release a hold
Give back what a hold still reserves.
Safe to retry: a closed hold reports released: 0.
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/holds/497f6eca-6276-4993-bfeb-53cbbbba6f08/release"{
"data": {
"hold_id": "4ce991bb-2101-434c-985c-39697d3f31c4",
"quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
"held": 0,
"captured": 0,
"remaining": 0,
"status": "active",
"reason": "string",
"expires_at": "string",
"created_at": "string",
"closed_at": "string",
"released": 0
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}